Bug 1577149 - [abrt] plasma-workspace: QXcbConnection::internAtom(): plasmashell killed by SIGSEGV
Summary: [abrt] plasma-workspace: QXcbConnection::internAtom(): plasmashell killed by ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4f98751789e2f5017d35f01fbe0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 10:30 UTC by Colonel Panic
Modified: 2019-05-28 20:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:11:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.83 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: cgroup (356 bytes, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: core_backtrace (6.35 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: dso_list (14.35 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: environ (1.82 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: maps (61.13 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: mountinfo (4.32 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: open_fds (528 bytes, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details
File: var_log_messages (14.26 KB, text/plain)
2018-05-11 10:30 UTC, Colonel Panic
no flags Details

Description Colonel Panic 2018-05-11 10:30:05 UTC
Description of problem:
Happens regularly when resuming from suspend to RAM. When the machine resumes, the session has been killed and it's thrown back to the login screen. Logging back in usually has an error displayed "Could not start ksmserver. Check your installation".

Version-Release number of selected component:
plasma-workspace-5.12.4-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell
crash_function: QXcbConnection::internAtom
executable:     /usr/bin/plasmashell
journald_cursor: s=477d82d434bf43c8aa45b78f91cd1bf3;i=1d8f;b=449fa0e364ef4ebeaa4bef2380e4aa30;m=314451e16;t=56beb5b6215f4;x=f467d64b28f212f5
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbConnection::internAtom at qxcbconnection.h:409
 #1 QXcbNativeInterface::atspiBus at qxcbnativeinterface.cpp:469
 #2 QXcbNativeInterface::nativeResourceForIntegration at qxcbnativeinterface.cpp:174
 #3 DBusConnection::getAddressFromXCB at dbusconnection.cpp:96
 #4 DBusConnection::DBusConnection at dbusconnection.cpp:82
 #5 QSpiAccessibleBridge::QSpiAccessibleBridge at bridge.cpp:66
 #6 QXcbIntegration::accessibility at qxcbintegration.cpp:398
 #7 platformAccessibility at accessible/qaccessible.cpp:488
 #8 QAccessible::setRootObject at accessible/qaccessible.cpp:830
 #9 QGuiApplication::exec at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:116

Potential duplicate: bug 1426783

Comment 1 Colonel Panic 2018-05-11 10:30:13 UTC
Created attachment 1434849 [details]
File: backtrace

Comment 2 Colonel Panic 2018-05-11 10:30:15 UTC
Created attachment 1434850 [details]
File: cgroup

Comment 3 Colonel Panic 2018-05-11 10:30:16 UTC
Created attachment 1434851 [details]
File: core_backtrace

Comment 4 Colonel Panic 2018-05-11 10:30:18 UTC
Created attachment 1434852 [details]
File: cpuinfo

Comment 5 Colonel Panic 2018-05-11 10:30:20 UTC
Created attachment 1434853 [details]
File: dso_list

Comment 6 Colonel Panic 2018-05-11 10:30:21 UTC
Created attachment 1434854 [details]
File: environ

Comment 7 Colonel Panic 2018-05-11 10:30:23 UTC
Created attachment 1434855 [details]
File: exploitable

Comment 8 Colonel Panic 2018-05-11 10:30:24 UTC
Created attachment 1434856 [details]
File: limits

Comment 9 Colonel Panic 2018-05-11 10:30:27 UTC
Created attachment 1434857 [details]
File: maps

Comment 10 Colonel Panic 2018-05-11 10:30:28 UTC
Created attachment 1434858 [details]
File: mountinfo

Comment 11 Colonel Panic 2018-05-11 10:30:30 UTC
Created attachment 1434859 [details]
File: open_fds

Comment 12 Colonel Panic 2018-05-11 10:30:31 UTC
Created attachment 1434860 [details]
File: proc_pid_status

Comment 13 Colonel Panic 2018-05-11 10:30:33 UTC
Created attachment 1434861 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 19:21:34 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-02 21:48:26 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 20:11:24 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.